Subject: RE: Seeking opinions on draft-akiya-bfd-seamless-alert-discrim

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Wed, 28 Jan 2015 22:46:56 +0000

> To summarize:
> - I will spawn off a separate thread for the alert discriminator soon.

Hello BFD WG,

Finally getting around to follow up on this AI.

http://datatracker.ietf.org/doc/draft-akiya-bfd-seamless-alert-discrim/?include_text=1

The document describes one simple extension: Let's make S-BFD discriminator zero(0) to have a special meaning.

The primary driver for this is to allow an S-BFD initiator to discover the target S-BFD discriminator, by sending an S-BFD ping packet with your_disc=0 and getting back a valid S-BFD pong packet with "my_disc=<S-BFD discrimiantor>". In other words, when an S-BFD reflector receives an S-BFD ping packet with your_disc=0, it processes it because S-BFD discriminator zero(0) has a special meaning.

Motivation for using this approach to discover the target S-BFD discriminator is described in Section 2.1 of the document.

I think it is most important to discuss this, thus let's leave out discussions on other use of the S-BFD alert discriminator (i.e., Section 2.2) for now.

Personally, I think this is very useful extension to the S-BFD mechanism that we've been working on. I'm curious to see what others think?

Thanks!

-Nobo